Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jbosscommon51
Interface ResourceEnvRefType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ResourceEnvRefTypeImpl

    public interface ResourceEnvRefType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `resource-env-refType` xsd type

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<InjectionTargetType<ResourceEnvRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getJndiName()` Returns the `jndi-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.lang.String` | `getResourceEnvRefName()` Returns the `resource-env-ref-name` element
`java.lang.String` | `getResourceEnvRefType()` Returns the `resource-env-ref-type` element
`ResourceEnvRefType<T>` | `ignoreDependency()`
`InjectionTargetType<ResourceEnvRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`java.lang.Boolean` | `isIgnoreDependency()`
`ResourceEnvRefType<T>` | `removeAllDescription()` Removes the `description` element
`ResourceEnvRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`ResourceEnvRefType<T>` | `removeJndiName()` Removes the `jndi-name` element
`ResourceEnvRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`ResourceEnvRefType<T>` | `removeResourceEnvRefName()` Removes the `resource-env-ref-name` element
`ResourceEnvRefType<T>` | `removeResourceEnvRefType()` Removes the `resource-env-ref-type` element
`ResourceEnvRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ResourceEnvRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ResourceEnvRefType<T>` | `setJndiName(java.lang.String jndiName)` If not already created, a new `jndi-name` element with the given value will be created.
`ResourceEnvRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`ResourceEnvRefType<T>` | `setResourceEnvRefName(java.lang.String resourceEnvRefName)` If not already created, a new `resource-env-ref-name` element with the given value will be created.
`ResourceEnvRefType<T>` | `setResourceEnvRefType(java.lang.String resourceEnvRefType)` If not already created, a new `resource-env-ref-type` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setJndiName

    ResourceEnvRefType<T> setJndiName(java.lang.String jndiName)

  If not already created, a new `jndi-name` element with the given value will be created. Otherwise, the existing `jndi-name` element will be updated with the given value.

  Returns:
    the current instance of `ResourceEnvRefType`

### removeJndiName

    ResourceEnvRefType<T> removeJndiName()

  Removes the `jndi-name` element

  Returns:
    the current instance of `ResourceEnvRefType`

### getJndiName

    java.lang.String getJndiName()

  Returns the `jndi-name` element

  Returns:
    the node defined for the element `jndi-name`

### setMappedName

    ResourceEnvRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Returns:
    the current instance of `ResourceEnvRefType`

### removeMappedName

    ResourceEnvRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Returns:
    the current instance of `ResourceEnvRefType`

### getMappedName

    java.lang.String getMappedName()

  Returns the `mapped-name` element

  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    ResourceEnvRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Returns:
    the current instance of `ResourceEnvRefType`

### injectionTarget

    InjectionTargetType<ResourceEnvRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    java.util.List<InjectionTargetType<ResourceEnvRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Returns:
    list of `injection-target`

### ignoreDependency

    ResourceEnvRefType<T> ignoreDependency()

### isIgnoreDependency

    java.lang.Boolean isIgnoreDependency()

### setDescription

    ResourceEnvRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `ResourceEnvRefType`

### setDescriptionList

    ResourceEnvRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ResourceEnvRefType`

### removeAllDescription

    ResourceEnvRefType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `ResourceEnvRefType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setResourceEnvRefName

    ResourceEnvRefType<T> setResourceEnvRefName(java.lang.String resourceEnvRefName)

  If not already created, a new `resource-env-ref-name` element with the given value will be created. Otherwise, the existing `resource-env-ref-name` element will be updated with the given value.

  Returns:
    the current instance of `ResourceEnvRefType`

### removeResourceEnvRefName

    ResourceEnvRefType<T> removeResourceEnvRefName()

  Removes the `resource-env-ref-name` element

  Returns:
    the current instance of `ResourceEnvRefType`

### getResourceEnvRefName

    java.lang.String getResourceEnvRefName()

  Returns the `resource-env-ref-name` element

  Returns:
    the node defined for the element `resource-env-ref-name`

### setResourceEnvRefType

    ResourceEnvRefType<T> setResourceEnvRefType(java.lang.String resourceEnvRefType)

  If not already created, a new `resource-env-ref-type` element with the given value will be created. Otherwise, the existing `resource-env-ref-type` element will be updated with the given value.

  Returns:
    the current instance of `ResourceEnvRefType`

### removeResourceEnvRefType

    ResourceEnvRefType<T> removeResourceEnvRefType()

  Removes the `resource-env-ref-type` element

  Returns:
    the current instance of `ResourceEnvRefType`

### getResourceEnvRefType

    java.lang.String getResourceEnvRefType()

  Returns the `resource-env-ref-type` element

  Returns:
    the node defined for the element `resource-env-ref-type`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD